package main

import "q5"

// User 用户实体
type User struct {
	AccountId string
	Username  string
}

// Friendship user1, user2 构成一个好友关系
type Friendship struct {
	User1 *User
	User2 *User
}

type FriendRequest struct {
	RequestID  int
	SenderID   int
	ReceiverID int
}

// BlockedUser 直接存列表， 黑名单上限就50个
type BlockedUser struct {
	AccountId        string
	BlockedAccountId string
}

// RandomUsername generates a random username
func RandomUsername() string {
	return q5.RandomString(6)
}
